//
// 此文件是由 JavaTM Architecture for XML Binding (JAXB) 引用实现 v2.3.0 生成的
// 请访问 <a href="https://javaee.github.io/jaxb-v2/">https://javaee.github.io/jaxb-v2/</a> 
// 在重新编译源模式时, 对此文件的所有修改都将丢失。
// 生成时间: 2026.03.02 时间 03:10:34 PM CST 
//


package com.njcn.gather.icd.mapping.infrastructure.parser.generated;

import java.util.ArrayList;
import java.util.List;
import javax.xml.bind.annotation.XmlAccessType;
import javax.xml.bind.annotation.XmlAccessorType;
import javax.xml.bind.annotation.XmlAttribute;
import javax.xml.bind.annotation.XmlElement;
import javax.xml.bind.annotation.XmlSchemaType;
import javax.xml.bind.annotation.XmlType;


/**
 * <p>tServer complex type的 Java 类。
 * 
 * <p>以下模式片段指定包含在此类中的预期内容。
 * 
 * <pre>
 * &lt;complexType name="tServer"&gt;
 *   &lt;complexContent&gt;
 *     &lt;extension base="{http://www.iec.ch/61850/2003/SCL}tUnNaming"&gt;
 *       &lt;sequence&gt;
 *         &lt;element name="Authentication"&gt;
 *           &lt;complexType&gt;
 *             &lt;complexContent&gt;
 *               &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
 *                 &lt;attGroup ref="{http://www.iec.ch/61850/2003/SCL}agAuthentication"/&gt;
 *               &lt;/restriction&gt;
 *             &lt;/complexContent&gt;
 *           &lt;/complexType&gt;
 *         &lt;/element&gt;
 *         &lt;element name="LDevice" type="{http://www.iec.ch/61850/2003/SCL}tLDevice" maxOccurs="unbounded"/&gt;
 *         &lt;element name="Association" type="{http://www.iec.ch/61850/2003/SCL}tAssociation" maxOccurs="unbounded" minOccurs="0"/&gt;
 *       &lt;/sequence&gt;
 *       &lt;attribute name="timeout" type="{http://www.w3.org/2001/XMLSchema}unsignedInt" default="30" /&gt;
 *       &lt;anyAttribute processContents='lax' namespace='##other'/&gt;
 *     &lt;/extension&gt;
 *   &lt;/complexContent&gt;
 * &lt;/complexType&gt;
 * </pre>
 * 
 * 
 */
@XmlAccessorType(XmlAccessType.FIELD)
@XmlType(name = "tServer", propOrder = {
    "authentication",
    "lDevice",
    "association"
})
public class TServer
    extends TUnNaming
{

    @XmlElement(name = "Authentication", required = true)
    protected TServer.Authentication authentication;
    @XmlElement(name = "LDevice", required = true)
    protected List<TLDevice> lDevice;
    @XmlElement(name = "Association")
    protected List<TAssociation> association;
    @XmlAttribute(name = "timeout")
    @XmlSchemaType(name = "unsignedInt")
    protected Long timeout;

    /**
     * 获取authentication属性的值。
     * 
     * @return
     *     possible object is
     *     {@link TServer.Authentication }
     *     
     */
    public TServer.Authentication getAuthentication() {
        return authentication;
    }

    /**
     * 设置authentication属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link TServer.Authentication }
     *     
     */
    public void setAuthentication(TServer.Authentication value) {
        this.authentication = value;
    }

    /**
     * Gets the value of the lDevice property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the lDevice property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getLDevice().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TLDevice }
     * 
     * 
     */
    public List<TLDevice> getLDevice() {
        if (lDevice == null) {
            lDevice = new ArrayList<TLDevice>();
        }
        return this.lDevice;
    }

    /**
     * Gets the value of the association property.
     * 
     * <p>
     * This accessor method returns a reference to the live list,
     * not a snapshot. Therefore any modification you make to the
     * returned list will be present inside the JAXB object.
     * This is why there is not a <CODE>set</CODE> method for the association property.
     * 
     * <p>
     * For example, to add a new item, do as follows:
     * <pre>
     *    getAssociation().add(newItem);
     * </pre>
     * 
     * 
     * <p>
     * Objects of the following type(s) are allowed in the list
     * {@link TAssociation }
     * 
     * 
     */
    public List<TAssociation> getAssociation() {
        if (association == null) {
            association = new ArrayList<TAssociation>();
        }
        return this.association;
    }

    /**
     * 获取timeout属性的值。
     * 
     * @return
     *     possible object is
     *     {@link Long }
     *     
     */
    public long getTimeout() {
        if (timeout == null) {
            return  30L;
        } else {
            return timeout;
        }
    }

    /**
     * 设置timeout属性的值。
     * 
     * @param value
     *     allowed object is
     *     {@link Long }
     *     
     */
    public void setTimeout(Long value) {
        this.timeout = value;
    }


    /**
     * <p>anonymous complex type的 Java 类。
     * 
     * <p>以下模式片段指定包含在此类中的预期内容。
     * 
     * <pre>
     * &lt;complexType&gt;
     *   &lt;complexContent&gt;
     *     &lt;restriction base="{http://www.w3.org/2001/XMLSchema}anyType"&gt;
     *       &lt;attGroup ref="{http://www.iec.ch/61850/2003/SCL}agAuthentication"/&gt;
     *     &lt;/restriction&gt;
     *   &lt;/complexContent&gt;
     * &lt;/complexType&gt;
     * </pre>
     * 
     * 
     */
    @XmlAccessorType(XmlAccessType.FIELD)
    @XmlType(name = "")
    public static class Authentication {

        @XmlAttribute(name = "none")
        protected Boolean none;
        @XmlAttribute(name = "password")
        protected Boolean password;
        @XmlAttribute(name = "weak")
        protected Boolean weak;
        @XmlAttribute(name = "strong")
        protected Boolean strong;
        @XmlAttribute(name = "certificate")
        protected Boolean certificate;

        /**
         * 获取none属性的值。
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public boolean isNone() {
            if (none == null) {
                return true;
            } else {
                return none;
            }
        }

        /**
         * 设置none属性的值。
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setNone(Boolean value) {
            this.none = value;
        }

        /**
         * 获取password属性的值。
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public boolean isPassword() {
            if (password == null) {
                return false;
            } else {
                return password;
            }
        }

        /**
         * 设置password属性的值。
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setPassword(Boolean value) {
            this.password = value;
        }

        /**
         * 获取weak属性的值。
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public boolean isWeak() {
            if (weak == null) {
                return false;
            } else {
                return weak;
            }
        }

        /**
         * 设置weak属性的值。
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setWeak(Boolean value) {
            this.weak = value;
        }

        /**
         * 获取strong属性的值。
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public boolean isStrong() {
            if (strong == null) {
                return false;
            } else {
                return strong;
            }
        }

        /**
         * 设置strong属性的值。
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setStrong(Boolean value) {
            this.strong = value;
        }

        /**
         * 获取certificate属性的值。
         * 
         * @return
         *     possible object is
         *     {@link Boolean }
         *     
         */
        public boolean isCertificate() {
            if (certificate == null) {
                return false;
            } else {
                return certificate;
            }
        }

        /**
         * 设置certificate属性的值。
         * 
         * @param value
         *     allowed object is
         *     {@link Boolean }
         *     
         */
        public void setCertificate(Boolean value) {
            this.certificate = value;
        }

    }

}
